#include<bits/stdc++.h>
using namespace std;
int main(){
    string s;
    cin>>s;
    int brv  = 0, brh = 0;
    //LLDRRDRU
    for(int i = 0; i <s.size(); i++){
        if(s[i] == 'U'){
            brv++;
        }
        if(s[i] == 'D'){
            brv--;
        }
        if(s[i] == 'R'){
            brh++;
        }
        if(s[i] == 'L'){
            brh--;
        }
    }
    bool razl = false;
    if(brv > 0){
        for(int i =0 ; i < brv;i++){
            cout<<"D";
        }
        razl = true;
    }
    if(brv < 0){
        for(int i =0 ; i < brv*(-1);i++){
            cout<<"U";
        }
        razl = true;
    }
    if(brh > 0){
        for(int i =0 ; i < brh;i++){
            cout<<"L";
        }
        razl = true;
    }
    if(brh < 0){
        for(int i =0 ; i < brh*(-1);i++){
            cout<<"R";
        }
        razl = true;
    }
    if(!razl){
        cout<<0;
    }
    return 0;
}

